Subject: Re: [PATCH] s2io ppc64 fix for readq/writeq

From: Jeff Garzik <[email-masked]>
Date: Mon, 06 Nov 2006 04:55:04 -0500

Benjamin Herrenschmidt wrote:
> On Mon, 2006-11-06 at 01:50 -0800, Linus Torvalds wrote:
>> On Mon, 6 Nov 2006, Benjamin Herrenschmidt wrote:
>>> Anyway, what do you think of Jeff proposal to just implement them as two
>>> 32 bits operations ? My arch guy side screams at the idea, but if,
>>> indeed, drivers generally cope fine with it, I suppose that's ok.
>> Last I saw, that's how normal PCI will split the IO anyway, so I guess it 
>> makes sense.
> 
> Hrm.. true indeed. I'll implement them that way for ppc32 then.

Bonus points if you want to find-and-kill where individual drivers did

	#ifndef readq
	implement readq and writeq by hand...
	#endif

:)